Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface NamedObject

All Superinterfaces:
  EventSource, Serializable

All Known Subinterfaces:
  Action, ActionContainer<T>, AssignAction, AssignToNextUserAction, Constructor, ConstructorContainer, NamedIndexedObject, Property, ReturnAction, RuleBinding, Step, StepAction, StepWorkAction, WorkAction

    public interface NamedObject

extends EventSource, Serializable

Represents any named object in the task plan hierarchy.

Nested Class Summary
`static interface` | `NamedObject.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`String` | `getDescription()` Get a description of this property and its use.
`String` | `getName()` Get the current name of this object.
`void` | `setDescription(String description)` Set the description for this property.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getName

    String getName()

  Get the current name of this object. Note that there is no setter for name. The name should be changed by calling the appropriate 'rename' method on the parent of this object.

### getDescription

    String getDescription()

  Get a description of this property and its use.

### setDescription

    void setDescription(String description)

  Set the description for this property.

  Parameters:
    `description` - A description of this property and how it is used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD